Skip to main content
`Ctrl`+`K`

# STSetStructured

Sets a flag to indicate that the application of the operator must be done taking into account its structure.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetStructured(ST st,PetscBool flg)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- flg - the boolean flag

## Note

This flag is intended for the case of structured eigenproblems. It is set internally by the solver, the user should not modify its value.

## See Also

ST: Spectral Transformation, `STApply()`, `STGetStructured()`

## Level

developer

## Location

src/sys/classes/st/interface/stset.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages